Name:           python-pyuca
Version:        1.2
Release:        %mkrel 3
Summary:        a Python implementation of the Unicode Collation Algorithm
Group:          Development/Python

License:        MIT
URL:            https://github.com/jtauber/pyuca
Source:         %{pypi_source pyuca}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
This is package 'pyuca' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyuca
Summary:        %{summary}

%description -n python3-pyuca %_description


%prep
%autosetup -p1 -n pyuca-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyuca


%check
%pyproject_check_import


%files -n python3-pyuca -f %{pyproject_files}



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2-3.mga10
+ Revision: 2238917
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.2-2.mga10
+ Revision: 2155672
- rebuild for python3.13
+ danf <danf>
- Switch URL to https

* Sat Sep 14 2024 papoteur <papoteur> 1.2-1.mga10
+ Revision: 2096568
- imported package python-pyuca

